For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • GETGet all unit types
        • GETGet unit type by ID
        • PUTUpdate Unit: Entrata - Not Supported
        • POSTCreate Unit: Entrata
        • POSTCreate Unit file: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataUnits

Create Unit: Entrata

POST
/v1/units/entrata/
POST
/v1/units/entrata/
$curl -X POST https://api.propexo.com/v1/units/entrata/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-987654321",
> "property_id": "prop-123456789",
> "lease_period_id": "lease-2024Q1",
> "city": "Austin",
> "country": "USA",
> "date_available": "2024-01-15T09:30:00Z",
> "number": "12B",
> "state": "TX",
> "street_address_1": "1234 Elm Street",
> "zip": "78701",
> "floor_plan_code": "FP-3BR-XL",
> "unit_type_id": "ut-3bed-2bath"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "intg-987654321",
7 "property_id": "prop-123456789",
8 "lease_period_id": "lease-2024Q1",
9 "bathrooms": "2",
10 "bedrooms": "3",
11 "city": "Austin",
12 "country": "USA",
13 "date_available": "2024-01-15T09:30:00Z",
14 "is_furnished": true,
15 "number": "12B",
16 "square_feet": 1450.5,
17 "state": "TX",
18 "street_address_1": "1234 Elm Street",
19 "street_address_2": "Unit 12B",
20 "zip": "78701",
21 "floor_plan_code": "FP-3BR-XL",
22 "unit_type_id": "ut-3bed-2bath"
23 }
24}
Create Unit: Entrata | Method | |---| | propertyunits/sendPropertyUnits | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Create Unit file: Entrata - Not Supported

Next
Built with

Create Unit: Entrata

Method
propertyunits/sendPropertyUnits
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
lease_period_idstringRequired
The Propexo unique identifier for the lease period
citystringRequired
The city associated with the unit
countrystringRequired
The country associated with the unit
date_availablestringRequiredformat: "date-time"
The date that the unit becomes available
numberstringRequired
The unit number
statestringRequired
The state associated with the unit
street_address_1stringRequired
The first address line associated with the unit
zipstringRequired
The zip code associated with the unit
floor_plan_codestringRequired
The external ID of the floor plan
unit_type_idstringRequired
The external ID of the unit type
bathroomsstringOptional
The number of bathrooms associated with the unit
bedroomsstringOptional
The number of bedrooms associated with the unit
is_furnishedbooleanOptional
Whether the unit is furnished
square_feetdoubleOptional
The square footage of the unit
street_address_2stringOptional
The second address line associated with the unit

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error